Embedder Support Forum

92 Comments in 29 Topics
Embedder Plugin Support Forum » Error With 'New Embedder Parser' when commenting
Author Topic: Error With 'New Embedder Parser' when commenting 1 comment / 3889 views

When using this great plugin to make it easier for volunteers in my church to add HTML to podacst posts, we’ve hit a challenge when using the new embedder parser. If this is enabled and somebody comments on the post, the comment is submitted successfully, but the user is presented with an error (note: paths edited for security):


Warning: array_merge() [function.array-merge]: Argument #2 is not an array in wp-content/plugins/embedder/nbbc-1.4.5/nbbc.php on line 1106

Warning: Cannot modify header information - headers already sent by (output started at wp-content/plugins/embedder/nbbc-1.4.5/nbbc.php:1106) in wp-comments-post.php on line 95

Warning: Cannot modify header information - headers already sent by (output started at wp-content/plugins/embedder/nbbc-1.4.5/nbbc.php:1106) in wp-comments-post.php on line 96

Warning: Cannot modify header information - headers already sent by (output started at wp-content/plugins/embedder/nbbc-1.4.5/nbbc.php:1106) in wp-comments-post.php on line 97

Warning: Cannot modify header information - headers already sent by (output started at wp-content/plugins/embedder/nbbc-1.4.5/nbbc.php:1106) in wp-includes/pluggable.php on line 897

Using WP 3.1.2 with Genesis Theme Framework (v1.6).

Note that the issue is fixed by simply disabling the new parser, although I’m not sure this is the best way forward…

Kind regards,
-John.

Powered by moztools Instant Forums

Leave a Reply

Your email address will not be published. Required fields are marked *